<?php
/**
 * 用户管理
 * $Id: user_edit_result.php,v 1.1 2016-9-22 09:58:31 cuixl Exp $
 * @author cuixl
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER,STAFF")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$user_id = ParamUtil::getRequestString("id");
$coupon_id = ParamUtil::getRequestNumber("coupon_id", 1);

$user_mst = UserMst::getById($user_id);
$coupon_mst = Coupon::getById($coupon_id);

$dead_time = time() + ($coupon_mst->valid_days)*24*3600;

//添加代金券
$user_coupon_dat = new UserCouponDat();
$user_coupon_dat->user_id = $user_id;
$user_coupon_dat->coupon_id = $coupon_id;
$user_coupon_dat->coupon_count = 1;
$user_coupon_dat->dead_time = date('y-m-d',$dead_time) . " 23:59:59";
$user_coupon_dat->transfer_count = 0;
$user_coupon_dat->save();

// 跳到结果页面
header("Location:user_send_coupon_result.php?id=" . $user_id);
exit;